org.apache.lucene.analysis.core

## Class KeywordTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.core.KeywordTokenizer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class KeywordTokenizer
    extends Tokenizer

Emits the entire input as a single token.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

Fields
`static int` `DEFAULT_BUFFER_SIZE` Default read buffer size

### Fields inherited from class org.apache.lucene.analysis.Tokenizer

`input`

### Constructor Summary

Constructors
Constructor and Description
`KeywordTokenizer(AttributeSource.AttributeFactory factory, Reader input, int bufferSize)`
`KeywordTokenizer(AttributeSource source, Reader input, int bufferSize)`
`KeywordTokenizer(Reader input)`
`KeywordTokenizer(Reader input, int bufferSize)`

### Method Summary

Methods
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.Tokenizer

`close, correctOffset, setReader`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

Default read buffer size

See Also:
  Constant Field Values

### Constructor Detail

#### KeywordTokenizer

    public KeywordTokenizer(Reader input)

#### KeywordTokenizer

    public KeywordTokenizer(Reader input,
                    int bufferSize)

#### KeywordTokenizer

    public KeywordTokenizer(AttributeSource source,
                    Reader input,
                    int bufferSize)

#### KeywordTokenizer

    public KeywordTokenizer(AttributeSource.AttributeFactory factory,
                    Reader input,
                    int bufferSize)

### Method Detail

#### incrementToken

    public final boolean incrementToken()
                                 throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### end

    public final void end()

Overrides:
  `end` in class `TokenStream`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenStream`
Throws:
  `IOException`